Bug 11086 - Install on toshiba t2105 fails with pcmcia-????.img
Install on toshiba t2105 fails with pcmcia-????.img
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-27 22:26 EDT by grassmt
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-28 17:14:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description grassmt 2000-04-27 22:26:18 EDT
Background info:

Last successfull installation was RedHat 6.0 on my Toshiba T2105 laptop
	+ 20 MB memory
	+ 1.2GB disk
	+ i486/50
	+ 3.5" floppy

NFS/FTP server is a RedHat 6.1 system
------------------------------------------------------------
PROBLEM

Trying to get 6.2 installed on laptop:

	using text mode
	pressing "cancel" when prompted for driver disk

Shortly thereafter I answer the network/NFS server
questions I get the following on virtual console#1:

	install exited abnormally -- recieved signal 11
	sending termination signals...done

On console#3 is the following:

	* going to insmod nfs.o (path is NULL)
	* mounting nfs path dakota:/mnt/cdrom
	* exec of /bin/sh failed: Exec format error

----------------------------------------------------------------------
Also tried a FTP install and it dies during the netstg2.img load:

on console #1
	Error loading ramdisk

on console #3
	* transfering ftp://dakota//pub/RedHat/base/netstg2.img to a fd
	* created inode
	* error reading from device: No such file or directory
	* done loading 2197504 bytes
Comment 1 linuxguy 2000-04-29 21:23:59 EDT
-------------------------------------------------
Another Failed attempt:

I setup a pcmcia attached SCSI cdrom which is detected by the
pcmcia-20000407.img.  However, the system still panics after detecting
and spinning the CDROM.  I'm oging to go on a limb here and ask if RedHat 6.2
was built on with a kernel > i486.  Has anyone managed to install on a 486?

console#1:
	install exited abnormally -- recieved signal 11

console#3:
	* going ot insmod ds.o (path is Null)
	* cardmgr running as pid 14
	* cardmgr returned 0x0
	* trying to mount device scd0
	* exec of /bin/sh failed: Exec format error
Comment 2 linuxguy 2000-04-30 19:47:59 EDT
---------------------------
Just to an FYI that I did successfully install RH 6.1 using the
pcmcia-???.img disk.  Any hints on what is bronken with 6.2?
Comment 3 Michael Fulbright 2000-06-12 15:12:58 EDT
Need test lab to verify this issue.
Comment 4 Brock Organ 2000-07-28 17:14:29 EDT
the errors described above are errors that occur when an invalid/corrupt install
image is used: 

Case I: NFS install:	
* exec of /bin/sh failed: Exec format error

This error occurs when the ramdisk image (netstg2.img) that the installer is
trying to load and use has been corrupted, and as a result of that corruption,
the shell program contained in that file fails to run ...

Case II: FTP install:	
* transfering ftp://dakota//pub/RedHat/base/netstg2.img to a fd
* error reading from device: No such file or directory

This error appears at the same point in the install, and also suggests that
source image that you are trying to install from may be corrupted ...

Case III: SCSI cdrom install:

* trying to mount device scd0
* exec of /bin/sh failed: Exec format error

This case is the same as cases I & II above, and would lead me to think that the
either one or both of the boot floppies and CD media itself may be faulty ...

I would suggest a recopy of the install source image, floppy images and/or
trying a different CD :( 

Please reopen this if you feel I have misdiagnosed the problem ... Thank you for
your report!

Note You need to log in before you can comment on or make changes to this bug.